FreeMat

- Main Page
- Related Pages

vtkStructuredGridToPolyDataFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkStructuredGridToPolyDataFilter is a filter whose subclasses take as input structured grid datasets and generate polygonal data on output.

To create an instance of class vtkStructuredGridToPolyDataFilter, simply invoke its constructor as follows

      obj = vtkStructuredGridToPolyDataFilter

# Methods

The class vtkStructuredGridToPolyDataFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredGridToPolyDataFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredGridToPolyDataFilter = obj.NewInstance ()`
- `vtkStructuredGridToPolyDataFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkStructuredGrid input)` - Set / get the input Grid or filter.
- `vtkStructuredGrid = obj.GetInput ()` - Set / get the input Grid or filter.